## GVirConfigObject GVirConfigObject |

## Functions

GVirConfigObject * | gvir_config_object_new ()
GVirConfigObject * | gvir_config_object_new_from_xml ()
void | gvir_config_object_validate ()
gchar * | gvir_config_object_to_xml ()
const gchar * | gvir_config_object_get_schema ()

## Properties

GVirConfigXmlDoc * | doc | Read / Write / Construct Only
gpointer | node | Read / Write / Construct Only
gchar * | schema | Read / Write / Construct Only

## Types and Values

struct | GVirConfigObject
struct | GVirConfigObjectClass
| GVirConfigObjectPrivate

## Object Hierarchy

        GObject
        ╰── GVirConfigObject
            ├── GVirConfigCapabilitiesCpuFeature
            ├── GVirConfigCapabilitiesCpu
            ├── GVirConfigCapabilitiesCpuModel
            ├── GVirConfigCapabilitiesCpuTopology
            ├── GVirConfigCapabilities
            ├── GVirConfigCapabilitiesGuestArch
            ├── GVirConfigCapabilitiesGuestDomain
            ├── GVirConfigCapabilitiesGuestFeature
            ├── GVirConfigCapabilitiesGuest
            ├── GVirConfigCapabilitiesHost
            ├── GVirConfigCapabilitiesHostSecModel
            ├── GVirConfigDomainAddress
            ├── GVirConfigDomainCapabilities
            ├── GVirConfigDomainCapabilitiesOs
            ├── GVirConfigDomainDevice
            ├── GVirConfigDomainChardevSource
            ├── GVirConfigDomainClock
            ├── GVirConfigDomainDiskDriver
            ├── GVirConfigDomain
            ├── GVirConfigDomainInterfaceFilterref
            ├── GVirConfigDomainInterfaceFilterrefParameter
            ├── GVirConfigDomainOs
            ├── GVirConfigDomainPowerManagement
            ├── GVirConfigDomainSeclabel
            ├── GVirConfigDomainSnapshotDisk
            ├── GVirConfigDomainSnapshot
            ├── GVirConfigDomainTimer
            ├── GVirConfigInterface
            ├── GVirConfigNetworkFilter
            ├── GVirConfigNetwork
            ├── GVirConfigNodeDevice
            ├── GVirConfigSecret
            ├── GVirConfigStoragePermissions
            ├── GVirConfigStoragePool
            ├── GVirConfigStoragePoolSource
            ├── GVirConfigStoragePoolTarget
            ├── GVirConfigStorageVolBackingStore
            ├── GVirConfigStorageVol
            ╰── GVirConfigStorageVolTarget

## Description

## Functions

### gvir_config_object_new ()

    GVirConfigObject *
    gvir_config_object_new (GType type,
                            const char *root_name,
                            const char *schema);

### gvir_config_object_new_from_xml ()

    GVirConfigObject *
    gvir_config_object_new_from_xml (GType type,
                                     const char *root_name,
                                     const char *schema,
                                     const gchar *xml,
                                     GError **error);

### gvir_config_object_validate ()

    void
    gvir_config_object_validate (GVirConfigObject *config,
                                 GError **err);

### gvir_config_object_to_xml ()

    gchar *
    gvir_config_object_to_xml (GVirConfigObject *config);

### gvir_config_object_get_schema ()

    const gchar *
    gvir_config_object_get_schema (GVirConfigObject *config);

## Types and Values

### struct GVirConfigObject

    struct GVirConfigObject;

### struct GVirConfigObjectClass

    struct GVirConfigObjectClass {
        GObjectClass parent_class;

        gpointer padding[20];
    };

### GVirConfigObjectPrivate

    typedef struct _GVirConfigObjectPrivate GVirConfigObjectPrivate;

## Property Details

### The `“doc”` property

      “doc”                      GVirConfigXmlDoc *

The XML doc this config object corresponds to.

Owner: GVirConfigObject

Flags: Read / Write / Construct Only

### The `“node”` property

      “node”                     gpointer

The XML node this config object corresponds to.

Owner: GVirConfigObject

Flags: Read / Write / Construct Only

### The `“schema”` property

      “schema”                   gchar *

The doc RNG schema.

Owner: GVirConfigObject

Flags: Read / Write / Construct Only

Default value: NULL